// out: style.css, compress: false
// main: style.less

@page-width: 3200mm;
@page-height: 2400mm;
@page-bleed: 50mm;

@import '../../style/layout.less';
@import 'lettrine.less';
// @import 'style/reset.css';

@colordesignParade3: #ff4230;
@u: 80pt;

ul {
  list-style: none; /* Remove list bullets */
  padding: 0;
  margin: 0;
}

#content .hyere {
  flow-into: flow-hyeres;
}
#content .toulon {
  flow-into: flow-toulon;
}
#content .categorie {
  flow-into: flow-categorie;
}
#content .footer {
  flow-into: flow-footer;
}
#content .signature {
  flow-into: flow-signature;
}
.hyere, .toulon {
  font-weight:normal;
  font-size: @u * 1.7;
  text-transform: uppercase;
}
.hyere{
  color: @colordesignParade2;
  text-transform: uppercase;
  .ville{
    font-family: @fontfamilydesignParade0;
    font-weight: bold;
    letter-spacing:50px;
    .s{
     transform:skew(-20deg, -14deg) scale(0.8, 1.3) translate(-.5vw, 10px);
     display:inline-block;
    }
    .h{
      font-family: @fontfamilydesignParade1;
      font-weight:bold;
      }
      .y{
        transform:skew(-20deg, -14deg) scale(0.8, 1.3) translate(-.5vw, 10px);
        font-family: @fontfamilydesignParade1;
        font-weight:bold;
        display:inline-block;
      }
      .e{
        font-family: @fontfamilydesignParade1;
        font-weight:bold;
      }
  }
  .domaine, .sousdomaine, .lieu{
  }
  .domaine{
    font-family: @fontfamilydesignParade0;
    span{
      font-family: @fontfamilydesignParade3;
      font-weight:bold;
    }
  }
  .sousdomaine{
    font-family: @fontfamilydesignParade0;
    span{
      font-family: @fontfamilydesignParade2;
      font-weight:bold;
      }
  }
  .lieu{
    font-family: @fontfamilydesignParade5;
    margin-bottom: @u * 4;
    text-transform: lowercase;
    span{
      font-family: @fontfamilydesignParade4;
    }
  }
  .information{
    .exposition{
        font-family: @fontfamilydesignParade0;
        font-weight:normal;
        span{
          font-family: @fontfamilydesignParade3;
          font-weight:bold;
          }
          .p{
            font-family: @fontfamilydesignParade2;
            font-weight:bold;
          }
          .r{
            font-family: @fontfamilydesignParade1;
            font-weight:bold;
          }
      }
  }
}
  .toulon{
    color: @colordesignParade3;
    text-transform: uppercase;
    .ville{
      font-family: @fontfamilydesignParade0;
      letter-spacing:50px;
      font-weight: bold;
      .t{
       transform:skew(0deg, 14deg) scale(0.8, 1.3) translate(-.5vw, 10px);
       display:inline-block;
       font-family: @fontfamilydesignParade1;
       font-weight: bold;
      }
      .o{
        font-family: @fontfamilydesignParade1;
        font-weight: bold;
      }
      .u{
        transform:skew(-10deg, -14deg) scale(0.8, 1.3) translate(-.5vw, 10px);
        font-family: @fontfamilydesignParade1;
        display:inline-block;
        font-weight: bold;
      }
      .l{
        font-family: @fontfamilydesignParade3;
        font-weight: bold;
      }
    }
    .domaine, .sousdomaine, .lieu{
    }
    .domaine{
      font-family: @fontfamilydesignParade0;
      span{
        font-family: @fontfamilydesignParade1;
          font-weight:bold;
      }
    }
    .sousdomaine{
      font-family: @fontfamilydesignParade0;
      span{
        font-family: @fontfamilydesignParade2;
        font-weight:bold;
      }
    }
    .lieu{
      font-family: @fontfamilydesignParade5;
      margin-bottom: @u * 4;
      text-transform: lowercase;
      span{
        font-family: @fontfamilydesignParade4;
      }
    }
    .information{
      .exposition{
          font-family: @fontfamilydesignParade0;
          font-weight:normal;
          span{
            font-family: @fontfamilydesignParade1;
            font-weight:bold;
          }
          .p{
            font-weight: bold;
             font-family: @fontfamilydesignParade2;
          }
          .e{
            font-weight: bold;
            font-family: @fontfamilydesignParade3;
          }
           }
        }
    }
  .sous-information{
    display: none;
  }
.categorie{
  text-transform: uppercase;
  position: absolute;
  top: @page-height / 2;
  z-index: 10;
  font-family: @fontfamilydesignParade3;
  font-size: @u * 1.7;
  letter-spacing: @u ;
  line-height: @u * 4;
  li{
    font-family: @fontfamilydesignParade0;
    color:@colordesignParade1;
    span{
    display: inline-block;
    font-family: @fontfamilydesignParade3;
    font-weight: bold;
    transform:skew(0deg, -21deg) scale(0.8, 1.3) translate(-.5vw, 10px);
    }
  }
}
.signature{
  color:@colordesignParade1;
  font-family: @fontfamilydesignParade0;
  position: absolute;
  bottom: @page-height / 6;
  font-size: @u;
  .villaTitre{
    font-weight: bold;
    font-family: @fontfamilydesignParade5;
    :after {
      color:@colordesignParade1;
      content: 'f';
      font-family: @fontfamilySymbolic;
      font-size: @u* 12;
     }
  }
}
.luuse{
  writing-mode: vertical-rl;
  text-orientation: sideways;
  position: absolute;
  bottom: @page-height / 8;
  margin-right:@page-width / 2;
  font-size: @u / 2;
  font-family: @fontfamilydesignParade0;
}
.flow-hyeres {
  z-index: 10;
  flow-from: flow-hyeres;
  height: @page-height;
  width:  @page-width / 2;
  position: absolute;
  margin-left:@margin-outside* 10;
  margin-top:@margin-outside * 5;
}
.flow-toulon {
  z-index: 10;
  flow-from: flow-toulon;
  height: @page-height;
  width:  @page-width / 2;
  position: absolute;
  margin-right:@margin-outside* 10;
  margin-top:@margin-outside * 5;
  right: @margin-outside;
  text-align: right;
}
.flow-categorie {
  flow-from: flow-categorie;
  width: @page-width / 2;
  margin-left:@margin-outside* 10;
}
.flow-footer{
  flow-from: flow-footer;
  width:  @page-width;
  height: @page-height / 10;
}
.flow-signature{
  height: @page-height;
  width:  @page-width / 4;
  flow-from: flow-signature;
  position: absolute;
  margin-right:@margin-outside * 10;
  right: @margin-outside; 
}
.flow-luuse{
  height: @page-height;
  width:  @page-width / 4;
  flow-from: flow-luuse;
  position: absolute;
  margin-right:@margin-outside * 10;
  right: @margin-outside;

}
.lettrage {
  top: @u * 10;
  right: 0;
  position: absolute;
  z-index: 9;
  font-size: @u * 8;
  transform: scale(0.95, 1.2);
  height: auto;
  left: 0;
  margin-bottom: @page-height / 5;
  width: auto;
  text-align: center;
  text-transform: uppercase;
  line-height: @u;
  -webkit-text-stroke-width: @u * 30;
  -webkit-text-stroke-color: @colordesignParade1;
  .design {
    height: @page-height / 2.5;
  }
  .parade {
    height: @page-height / 2;

  }
}
.page-inside {
background: lightyellow;
.mjson {
  display:block;
  z-index: 9;
  svg{
    text {
      transform-origin: 0 0;
    }
  }
}
.word {
  width: @page-width;
  height: 150mm;
  // position: absolute;
  display: flex;
  justify-content: center;
  overflow: visible;
  svg.letter {
    // float: left;
    height: 400mm;
    width: auto;
    // position: absolute;
  }
}
path {
  fill: none;
  stroke: @colordesignParade1;
  stroke-width: .1px;
}
.footer{
  top:90%;
  border-top: 2px solid @colorMaron;
  list-style-type: none;
  position: absolute;
  width: @page-width;
  height: @page-height / 10;
  font-family: @fontfamilydesignParade2;
  .logoPave img{
      position: absolute;
  }
}
}
